#ifndef NPSOLVERT_H
#define NPSOLVERT_H

#include <stdio.h>
#include "timecontr.h"
#include "npglvec.h"

void solve_nonstationary_problem ();

void nonstat_solv_vform_comp ();
void nonstat_solver_init (long lcid, np_glob_vec &np_gv);
long one_step_linear (long lcid,double time, double dt, long istep, long li, np_glob_vec &np_gv);
long one_step_nonlinear (long lcid,double time, double dt, long istep, long li, np_glob_vec &np_gv);

void linear_nonstat_solv_vform ();
void linear_nonstat_solv_dform ();

void linear_nonstat_radiation_solv_dform ();

void aux_nonlintime_print (FILE *aux, double *r, double l);

void linear_nonstat_solv_dform_subcycl ();

#endif
